Bug 183397 - evince pins cpu on on pdf but eventually displays it after a while
evince pins cpu on on pdf but eventually displays it after a while
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: evince (Show other bugs)
rawhide
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Kristian Høgsberg
bzcl34nup
:
Depends On:
Blocks: FC5Update
  Show dependency treegraph
 
Reported: 2006-02-28 15:34 EST by Thomas J. Baker
Modified: 2008-05-06 20:24 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-05-06 20:24:04 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
kde pdf created by printing to pdf (68.73 KB, application/octet-stream)
2006-02-28 15:35 EST, Thomas J. Baker
no flags Details

  None (edit)
Description Thomas J. Baker 2006-02-28 15:34:42 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.8.0.1) Gecko/20060223 Fedora/1.5.0.1-5 Firefox/1.5.0.1

Description of problem:
Evince seems to process PDFs created by KDE/konqueror very slowly. I have several from a coworker who uses KDE and each one is very slow to initially display. xpdf displays them instantly. I actually thought that evince had locked up but it does eventually display them.

Version-Release number of selected component (if applicable):
evince-0.5.1-1, poppler-0.5.0-4.2

How reproducible:
Always

Steps to Reproduce:
1. get pdf that was generated by kde
2. try to view it
3.
  

Actual Results:  evince locked one of my cpus for over 30 seconds, only showing "loading" and then eventually displayed it.

Expected Results:  should have displayed it instantly

Additional info:

I'll attach a sample next.
Comment 1 Thomas J. Baker 2006-02-28 15:35:44 EST
Created attachment 125419 [details]
kde pdf created by printing to pdf
Comment 2 Moritz Barsnick 2006-09-21 16:24:25 EDT
*ping*

Is anyone working on this? I have seen this on quite a few PDFs, even those not 
from KDE. I just pinned one down here, check out:
http://www.vdew-bw.de/images/aktuell/Strompeise_Deutschland_2006.pdf
Creator:        Acrobat PDFMaker 5.0 für PowerPoint
Producer:       Acrobat Distiller 5.0 (Windows)

evince displays "Loading" for a veeeery long time on  the first page. 
Eventually you can view the document. But when going to page four, it seemingly 
stalls again.

Fedora Core 5
evince-0.5.1-3

Also seen in bug #201542, apparently.
Comment 3 Matthias Clasen 2006-09-22 11:20:00 EDT
Kristian, maybe we should consider getting the new poppler out as an FC5 update ?
Comment 4 Moritz Barsnick 2006-09-22 12:41:29 EDT
I rebuilt poppler-0.5.4-1 from the Rawhide/FC devel SRPM (but didn't rebuild 
evince as it is dynamically linked). I saw no improvement on the file mentioned 
in comment #2. I fear Matthias' suggestion in comment #3 may improve the 
application as a whole, but not for this case.

I may need to go upstream with my report...
Comment 5 Matthias Clasen 2006-09-22 14:16:43 EDT
Filing an upstream bug and attaching the problematic pdf files is always a good
idea.
Comment 6 Moritz Barsnick 2007-02-16 09:07:14 EST
As noted in bug #201542, this seems much better with
evince-0.6.0-6.fc6
poppler-0.5.4-5.fc6
albeit on FC6 (with the examples given in comment #1 and comment #2). I guess 
FC5 is EOL, so there'll be no updated packages for that.

Could someone else at least confirm that the two examples work okay for them, 
and then perhaps close this as "fixed in devel, won't fix for FC5" or 
so? ;-) (This is filed against devel anyway...)

Thanks,
Moritz
Comment 7 Bug Zapper 2008-04-03 13:02:46 EDT
Based on the date this bug was created, it appears to have been reported
against rawhide during the development of a Fedora release that is no
longer maintained. In order to refocus our efforts as a project we are
flagging all of the open bugs for releases which are no longer
maintained. If this bug remains in NEEDINFO thirty (30) days from now,
we will automatically close it.

If you can reproduce this bug in a maintained Fedora version (7, 8, or
rawhide), please change this bug to the respective version and change
the status to ASSIGNED. (If you're unable to change the bug's version
or status, add a comment to the bug and someone will change it for you.)

Thanks for your help, and we apologize again that we haven't handled
these issues to this point.

The process we're following is outlined here:
http://fedoraproject.org/wiki/BugZappers/F9CleanUp

We will be following the process here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping to ensure this
doesn't happen again.
Comment 8 Bug Zapper 2008-05-06 20:24:00 EDT
This bug has been in NEEDINFO for more than 30 days since feedback was
first requested. As a result we are closing it.

If you can reproduce this bug in the future against a maintained Fedora
version please feel free to reopen it against that version.

The process we're following is outlined here:
http://fedoraproject.org/wiki/BugZappers/F9CleanUp

Note You need to log in before you can comment on or make changes to this bug.